package pdf

type Object[T any] struct {
	Value T
}

type ObjectObject Object[any]
type BooleanObject Object[bool]
type IntegerObject Object[int]
type RealObject Object[float64]
type StringObject Object[string]
type NameObject Object[string]

//type ArrayObject Object[[]Object]

// type StreamObject Object[Stream]
type DictionaryObject Object[map[string]Object[any]]
type NullObject Object[struct{}]
