package pdf

type referenceObjectToken struct {
	tokenInternal
}

type readReferenceObjectState struct {
	token *referenceObjectToken
}

func (s readReferenceObjectState) process(t *Tokenizer) {

	var c rune
	var err error

	c, err = t.consumeNextRune()
	if err != nil {
		t.raiseError(err)
		return
	}

	if c != 'R' {
		t.raiseError(ErrInvalidReferenceObject)
		return
	}

	t.emitToken(s.token)
}
