package pdf

type endArrayObjectToken struct {
	tokenInternal
}

type endArrayObjectState struct {
	token *endArrayObjectToken
}

func (s endArrayObjectState) process(t *Tokenizer) {
	var c rune
	var err error

	c, err = t.consumeNextRune()
	if err != nil {
		t.raiseError(err)
		return
	}

	if !isRightSquareBracket(c) {
		t.raiseError(errArrayObjectMustEndWithBracket)
		return
	}

	t.emitToken(s.token)

}
