package pdf

type endStreamObjectToken struct {
	tokenInternal
}

type endStreamObjectState struct {
	token *endStreamObjectToken
}

func (s endStreamObjectState) process(t *Tokenizer) {
	var r []rune
	var err error

	r, err = t.consumeNextRunes(9)
	if err != nil {
		t.raiseError(err)
		return
	}

	if string(r) != keywordEndStream {
		t.raiseError(ErrInvalidEndStream)
		return
	}

	t.emitToken(s.token)
}
